com.google.gwt.dom.client

## Class HeadingElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.HeadingElement

    @TagName(value={"h1","h2","h3","h4","h5","h6"})
    public class HeadingElement
    extends Element

For the H1 to H6 elements.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG_H1`
`static java.lang.String` `TAG_H2`
`static java.lang.String` `TAG_H3`
`static java.lang.String` `TAG_H4`
`static java.lang.String` `TAG_H5`
`static java.lang.String` `TAG_H6`
`(package private) static java.lang.String[]` `TAGS`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `HeadingElement()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HeadingElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAGS

    static final java.lang.String[] TAGS

#### TAG_H1

    public static final java.lang.String TAG_H1

See Also:
  Constant Field Values

#### TAG_H2

    public static final java.lang.String TAG_H2

See Also:
  Constant Field Values

#### TAG_H3

    public static final java.lang.String TAG_H3

See Also:
  Constant Field Values

#### TAG_H4

    public static final java.lang.String TAG_H4

See Also:
  Constant Field Values

#### TAG_H5

    public static final java.lang.String TAG_H5

See Also:
  Constant Field Values

#### TAG_H6

    public static final java.lang.String TAG_H6

See Also:
  Constant Field Values

### Constructor Detail

#### HeadingElement

    protected HeadingElement()

### Method Detail

#### as

    public static HeadingElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.